"use strict";

const path = require('path');
const {
  writeFileSync
} = require('fs');
const {
  executeSynchronizedCommands
} = require('./executeSyncCommands');
function writeFsPaths() {
  var fileContent = {
    nodeModulesPath: path.resolve(process.cwd(), '..', '..', '..')
  };
  return executeSynchronizedCommands(writeFileSync, [path.join(process.cwd(), 'jsonUtils', 'fsUtils.json'), JSON.stringify(fileContent), 'utf-8'], 'node_modules path updated in json file', 'Unable to write node_modules path to json file', false, true);
}
module.exports = {
  writeFsPaths
};